Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.controller.portlet
Class PortletInvocationFactory

    java.lang.Object
      org.jboss.portal.core.controller.portlet.PortletInvocationFactory

    public class PortletInvocationFactory

extends java.lang.Object

Version:
  $Revision: 11737 $
Author:
  Julien Viet

Nested Class Summary
`static class` | `PortletInvocationFactory.ControllerPortletInvocationContext`

Constructor Summary
`PortletInvocationFactory()`

Method Summary
`static void` | `contextualize(ControllerContext controllerContext, PortletContextFactory cf, org.jboss.portal.portlet.invocation.PortletInvocation invocation)`
`static void` | `contextualize(org.jboss.portal.portlet.invocation.PortletInvocation action)`
`static org.jboss.portal.portlet.invocation.ActionInvocation` | `createAction(ControllerContext controllerContext, org.jboss.portal.Mode mode, org.jboss.portal.WindowState windowState, org.jboss.portal.portlet.StateString navigationalState, org.jboss.portal.portlet.StateString interactionState, org.jboss.portal.common.util.ParameterMap form, PortletContextFactory cf, InvokePortletCommandFactory cpc)`
`static org.jboss.portal.portlet.invocation.ActionInvocation` | `createAction(ControllerContext controllerContext, org.jboss.portal.Mode mode, org.jboss.portal.WindowState windowState, org.jboss.portal.portlet.StateString navigationalState, org.jboss.portal.portlet.StateString interactionState, org.jboss.portal.common.util.ParameterMap form, Window window, Portal portal, org.jboss.portal.portlet.controller.state.PortletPageNavigationalState pageNavigationalState)`
`static org.jboss.portal.portlet.spi.PortletInvocationContext` | `createInvocationContext(ControllerContext controllerContext, InvokePortletCommandFactory cpc)`
`static org.jboss.portal.portlet.spi.PortletInvocationContext` | `createInvocationContext(ControllerContext controllerContext, Window window, org.jboss.portal.portlet.controller.state.PortletPageNavigationalState pageNavigationalState)`
`static InvokePortletCommandFactory` | `createInvokePortletCommandFactory(ControllerContext controllerContext, Window window, org.jboss.portal.portlet.controller.state.PortletPageNavigationalState pageNavigationalState)`
`static org.jboss.portal.portlet.invocation.RenderInvocation` | `createRender(ControllerContext controllerContext, org.jboss.portal.Mode mode, org.jboss.portal.WindowState windowState, org.jboss.portal.portlet.StateString navigationalState, PortletContextFactory cf, InvokePortletCommandFactory cpc)`
`static org.jboss.portal.portlet.invocation.RenderInvocation` | `createRender(ControllerContext controllerContext, org.jboss.portal.Mode mode, org.jboss.portal.WindowState windowState, org.jboss.portal.portlet.StateString navigationalState, Window window, Portal portal, org.jboss.portal.portlet.controller.state.PortletPageNavigationalState pageNavigationalState)`
`static Window` | `getTargetWindow(org.jboss.portal.portlet.invocation.PortletInvocation action)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortletInvocationFactory

    public PortletInvocationFactory()

Method Detail

### createInvokePortletCommandFactory

    public static InvokePortletCommandFactory createInvokePortletCommandFactory(ControllerContext controllerContext,
                                                                                Window window,
                                                                                org.jboss.portal.portlet.controller.state.PortletPageNavigationalState pageNavigationalState)

### createInvocationContext

    public static org.jboss.portal.portlet.spi.PortletInvocationContext createInvocationContext(ControllerContext controllerContext,
                                                                                                InvokePortletCommandFactory cpc)

### createInvocationContext

    public static org.jboss.portal.portlet.spi.PortletInvocationContext createInvocationContext(ControllerContext controllerContext,
                                                                                                Window window,
                                                                                                org.jboss.portal.portlet.controller.state.PortletPageNavigationalState pageNavigationalState)

### createAction

    public static org.jboss.portal.portlet.invocation.ActionInvocation createAction(ControllerContext controllerContext,
                                                                                    org.jboss.portal.Mode mode,
                                                                                    org.jboss.portal.WindowState windowState,
                                                                                    org.jboss.portal.portlet.StateString navigationalState,
                                                                                    org.jboss.portal.portlet.StateString interactionState,
                                                                                    org.jboss.portal.common.util.ParameterMap form,
                                                                                    Window window,
                                                                                    Portal portal,
                                                                                    org.jboss.portal.portlet.controller.state.PortletPageNavigationalState pageNavigationalState)

### createAction

    public static org.jboss.portal.portlet.invocation.ActionInvocation createAction(ControllerContext controllerContext,
                                                                                    org.jboss.portal.Mode mode,
                                                                                    org.jboss.portal.WindowState windowState,
                                                                                    org.jboss.portal.portlet.StateString navigationalState,
                                                                                    org.jboss.portal.portlet.StateString interactionState,
                                                                                    org.jboss.portal.common.util.ParameterMap form,
                                                                                    PortletContextFactory cf,
                                                                                    InvokePortletCommandFactory cpc)

### createRender

    public static org.jboss.portal.portlet.invocation.RenderInvocation createRender(ControllerContext controllerContext,
                                                                                    org.jboss.portal.Mode mode,
                                                                                    org.jboss.portal.WindowState windowState,
                                                                                    org.jboss.portal.portlet.StateString navigationalState,
                                                                                    Window window,
                                                                                    Portal portal,
                                                                                    org.jboss.portal.portlet.controller.state.PortletPageNavigationalState pageNavigationalState)

### createRender

    public static org.jboss.portal.portlet.invocation.RenderInvocation createRender(ControllerContext controllerContext,
                                                                                    org.jboss.portal.Mode mode,
                                                                                    org.jboss.portal.WindowState windowState,
                                                                                    org.jboss.portal.portlet.StateString navigationalState,
                                                                                    PortletContextFactory cf,
                                                                                    InvokePortletCommandFactory cpc)

### contextualize

    public static void contextualize(ControllerContext controllerContext,
                                     PortletContextFactory cf,
                                     org.jboss.portal.portlet.invocation.PortletInvocation invocation)

### getTargetWindow

    public static Window getTargetWindow(org.jboss.portal.portlet.invocation.PortletInvocation action)

### contextualize

    public static void contextualize(org.jboss.portal.portlet.invocation.PortletInvocation action)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD